-- $Source: /user/cp_source/ObjectAda/rts/common/io/ada.io_exceptions.dat,v $ 
-- $Revision: 1.1 $ $Date: 1996/02/26 19:52:54 $ $Author: peignot $ 
--        Copyright (C) 1995 by Intermetrics, Inc.   

pragma ada_child;
package Ada.IO_Exceptions is

    --| Overview
    --|
    --| This package specifies the exceptions that can be raised
    --| by input-output operations. 

    pragma Pure(IO_Exceptions); 

    pragma Suppress( Elaboration_Check );

    Status_Error : exception;
    Mode_Error   : exception;
    Name_Error   : exception;
    Use_Error    : exception;
    Device_Error : exception;
    End_Error    : exception;
    Data_Error   : exception;
    Layout_Error : exception;

end Ada.IO_Exceptions; 
