-- $Source: /user/cp_source/ObjectAda/rts/nt/ada.numerics.dat,v $ 
-- $Revision: 1.1 $ $Date: 2000/11/17 16:16:32 $ $Author: curt $ 
-- Copyright (c) 1997-2000, Aonix. All rights reserved.

pragma ada_child;
package Ada.Numerics is
pragma Pure (Numerics);

    Argument_Error : exception;
    pragma import( Assembler, Argument_Error,
                   link_name=>"_rts_argument_error");
                   -- GEF is implemented using math library routines.
                   -- This exception is imported Assembler code.

    Pi : constant :=
           3.14159_26535_89793_23846_26433_83279_50288_41971_69399_37511;

    e  : constant :=
           2.71828_18284_59045_23536_02874_71352_66249_77572_47093_69996;

end Ada.Numerics;
